Page MenuHomePhabricator

CX2: Adjust the empty state of the categories list
Closed, ResolvedPublic

Description

As part of the support for categories (T188605), we want to clarify cases where the list of categories may be confusing for non-expert users, including:

  • There are no categories in the source article.
  • There are categories in the source article but none can be adapted.

Explanation messages and encouraging users to take the next step will be helpful.

Proposed solution

The general idea is to show a message inside the category box (using base30, #72777D) to show a message. The message will be different depending on the circumstances.

For the list of categories in the source article, the message will be "No categories", and it will be only shown when there are no categories for the source article (i.e., the source category box is empty).

For the list of categories in the translation, there default message will be "No categories. Consider adding some to better classify the topic." However, we want to provide some more clarity for the case where the source article has some categories but none of them could be adapted. In such case the message will be: "The original categories don’t exist in this language. Explore more categories to better describe the topic."

A mockup below shown the expected messages in different circumstances:

Event Timeline

Pginer-WMF triaged this task as Normal priority.Mar 1 2018, 12:47 PM
Pginer-WMF created this task.
Petar.petkovic added a comment.EditedMar 20 2018, 5:02 PM

Here are some shots illustrating current state of empty states:

Category buttonsCategory list
No categories in source page
No adapted categories
Pginer-WMF lowered the priority of this task from Normal to Low.Mar 26 2018, 11:42 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF removed a project: Design.
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.

@Pginer-WMF, what about the buttons above the content that display number of categories and scroll to category list upon click? Do we want more informative messages there as well?
Currently, "No categories" or "X category"/"X categories" message is used.

@Pginer-WMF, what about the buttons above the content that display number of categories and scroll to category list upon click? Do we want more informative messages there as well?
Currently, "No categories" or "X category"/"X categories" message is used.

These buttons are ok as they are. They are just counters for the categories that each document has, and clicking on them leads to more detailed information.

Change 423798 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Adjust the empty state of the categories list

https://gerrit.wikimedia.org/r/423798

Nikerabbit removed a project: Patch-For-Review.
Nikerabbit added a subscriber: Nikerabbit.

Patch tested on

  • not adapted: page=Fnatic&from=en&to=fi
  • deleted: page=World+Heritage+Site&from=en&to=de
  • no categories: page=Dgheim%20Number&from=en&to=fi

Also noticed that the category sticker icon is reversed in the illustration compared to screenshots.

Also noticed that the category sticker icon is reversed in the illustration compared to screenshots.

This is due to the general icon update. The icon in the mockups is outdated. The one in the code is the right one (although some layout adjustments are needed, which will be part of a separate ticket)

Change 423798 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Adjust the empty state of the categories list

https://gerrit.wikimedia.org/r/423798

Etonkovidova closed this task as Resolved.EditedApr 9 2018, 3:23 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked three cases that @Nikerabbit - all look good:

  • no matching categories

  • user deleted categories

  • no categories

(filed as T191825: RTL support for Categories section ) @Petar.petkovic One questions - in RTL languages the icon overlaps the label - is it some limitation in cx2-testing environment or more support of RTL is needed?


(filed as T191825: RTL support for Categories section ) @Petar.petkovic One questions - in RTL languages the icon overlaps the label - is it some limitation in cx2-testing environment or more support of RTL is needed?

That isn't any cx2-testing environment limitation, but RTL support needs to improve. Thanks for filing a bug!